Perform various operations for Symitar parameters.
Operations
getWireBfcSelectFields
POST
Execute the persistent ParameterService getWireBfcSelectFields operation.
Authorizations
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
Bodyapplication/json
Loading fields…
Path Parameters
symstringrequired- Sym number
Responses
MessageIdstringoptionalLoading fields…
POST
/nexum/{sym}/persistent/parameter/getWireBfcSelectFieldsPOST /nexum/627/persistent/parameter/getWireBfcSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"DeviceInformation": {
"DeviceType": "string",
"DeviceNumber": 0
},
"SelectableFields": {
"IncludeAllWireBfcFields": true,
"WireBfcFields": {
"SvcAvailability": [
0
]
}
},
"nxAttributes": {
"customFields": {}
}
}updateWireBfcByID
POST
Execute the persistent ParameterService updateWireBfcByID operation.
Authorizations
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
Bodyapplication/json
Loading fields…
Path Parameters
symstringrequired- Sym number
Responses
MessageIdstringoptionalLoading fields…
POST
/nexum/{sym}/persistent/parameter/updateWireBfcByIDPOST /nexum/627/persistent/parameter/updateWireBfcByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"DeviceInformation": {
"DeviceType": "string",
"DeviceNumber": 0
},
"WireBfcFields": {
"SvcAvailability": [
{
"EntryId": 0,
"SvcAvailability": 0
}
]
},
"nxAttributes": {
"customFields": {}
}
}